package com.jz.dm.models.req.make;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req.make
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceReq
 * @DATE: 2020-12-29/10:48
 * @DAY_NAME_SHORT: 周二
 * @Description:
 **/
@Data
@ApiModel(value = "api基本信息")
public class ApiInterfaceReq implements Serializable {


    @ApiModelProperty(value = "接口描述",required = false)
    public String apiDesc;

    @ApiModelProperty(value = "传输方式:http https",required = true)
    @NotNull(message = "传输方式不能为空")
    public String transMode;

    @ApiModelProperty(value = "加密方式0 无,1:MD5 2:RSA",required = true)
    @NotNull(message = "加密方式不能为空")
    public String signType;

    @ApiModelProperty(value = "接入类型:对应字典表key",required = true)
    @NotNull(message = "接入类型不能为空")
    public String joinType;

    @ApiModelProperty(value = "目标地址",required = true)
    @NotNull(message="目标地址不能为空")
    public String targetUrl;

    @ApiModelProperty(value = "超时时间",required = true)
    @NotNull(message="超时时间不能为空")
    public String timeout;

    @ApiModelProperty(value = "限流类型:DAY 按天,MONTH 按月, YEAR 按年",required = true)
    @NotNull(message = "限流类型不能为空")
    public String reqType;

    @ApiModelProperty(value = "限制次数",required = false)
    public Long reqFrequency;

    @ApiModelProperty(value = "api描述",required = false)
    public String apiFunction;

    @ApiModelProperty(value = "父类文件id,一级文件夹传入0",required = false)
    public Long parentId;

    @ApiModelProperty(value = "文件id",required = false)
    public Long fileId;

    @ApiModelProperty(value = "项目id",required = true)
    @NotNull(message="项目id不能为空")
    public Long projectId;


    @ApiModelProperty(value = "状态",required = false)
    public String status;

    @ApiModelProperty(value = "更新时传入api自增id",required = false)
    public Long id;
    @ApiModelProperty(value = "创建用户",hidden = true)
    public String createUser;

    @ApiModelProperty(value = "api类型:1.数据银行制作大数据表  " +
            "2 数据银行制作数据包,3,数据银行制作自定义API " +
            "4 API实时接入 6 标签查询 9自定义",hidden = true)
    public String apiType;

}
