package com.jz.dm.gateway.api;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.utils.HttpsUtils;
import com.jz.common.utils.Md5;
import com.jz.dm.common.util.MapUtil;
import com.jz.dm.gateway.SpringTestCase;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.api
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiReqTest
 * @DATE: 2021-1-6/14:13
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public class ApiReqTest extends SpringTestCase {

    public static final String  url ="";
    @Autowired
    private HttpsUtils httpsUtils;

    @Test
    public void TestGatewayReq() {

        JSONObject jsonObject = new JSONObject();
        jsonObject.put("apiKey", "sE862E97j7Yzo049");
        jsonObject.put("method", "query");
        jsonObject.put("signType", "MD5");
        long time = System.currentTimeMillis();
        jsonObject.put("timestamp", String.valueOf(time));

        JSONObject params = new JSONObject();
        params.put("authCode", "202100000001118191258T718d78591J");
        params.put("selectType", "10006");
        params.put("reqParams", new JSONObject());
        jsonObject.put("params",params);
        try {
            String apiKey = jsonObject.getString("apiKey");
            String method = jsonObject.getString("method");
            String signType = jsonObject.getString("signType");

            String signature = MapUtil.getSignValue(apiKey, method, signType);
            String salt = Md5.encrypt(signature, "33tgT3g2");
            jsonObject.put("sign", salt);
            String response = httpsUtils.submitPost(url, jsonObject.toString());
            System.out.println(response);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
