package com.jz.dm.gateway.orther;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.utils.HttpsUtils;
import com.jz.dm.common.enums.GatewayResultCode;
import com.jz.dm.common.exception.GatewayException;
import com.jz.dm.gateway.SpringTestCase;
import org.junit.Test;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.orther
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: TestAmountCall
 * @DATE: 2021-1-9/15:04
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
public class TestAmountCall extends SpringTestCase {
    private static final String baseUrl ="http://192.168.1.139:8081/mall/financeCustomerAssets/findAssets";
    private static final String baseUrl2 ="http://192.168.1.139:8081/mall/financeCustomerAssets/unfreezeMoney";
   /* @Autowired
    private HttpsUtils httpUtils;*/


    @Test
    public void  TestDataBankReq(){
        HttpsUtils utils = new HttpsUtils();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("assetsId",1);
        jsonObject.put("userId",1);
        jsonObject.put("dataPrice","50");
        String respResult = utils.submitPost(baseUrl, jsonObject.toString());
        JSONObject paramsResult = JSONObject.parseObject(respResult);
        if (null != paramsResult){
            Integer code = paramsResult.getInteger("code");
            if (200 != code){
                System.out.println("~~~~~~~~~~~~~~~~~~单次调用金额不足~~~~~~~~~~~~~~~");
                System.out.println(respResult);
                throw new GatewayException(GatewayResultCode.CALL_AMOUNT_NOT_ENOUGH);
            }else {
                System.out.println(paramsResult.getString("message"));
            }
        }
    }

    /**
     * 通知扣款
     */
    @Test
    public void  notifierDataBankReq(){
        HttpsUtils utils = new HttpsUtils();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("assetsId",1);
        jsonObject.put("userId",1);
        jsonObject.put("dataPrice","50");
        jsonObject.put("callStatus",true);//调用成功 扣款 false 调用失败,解冻金额
        String respResult = utils.submitPost(baseUrl2, jsonObject.toString());
        JSONObject paramsResult = JSONObject.parseObject(respResult);
        if (null != paramsResult){
            Integer code = paramsResult.getInteger("code");
            if (200 != code){
                System.out.println("~~~~~~~~~~~~~~~~~~操作失败~~~~~~~~~~~~~~~");
                System.out.println(respResult);
                throw new GatewayException(GatewayResultCode.CALL_AMOUNT_NOT_ENOUGH);
            }else {
                System.out.println(paramsResult.getString("message"));
            }
        }
    }
}
