package com.jz.dm.mall.moduls.service.impl;

import com.jz.common.bean.MallCustomerApiDto;
import com.jz.common.constant.RedisMessageConstant;
import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.entity.MallCustomer;
import com.jz.dm.mall.moduls.mapper.MallCustomerDao;
import com.jz.dm.mall.moduls.service.PersonalUserControllerService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.concurrent.TimeUnit;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.service.impl
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: PersonalUserControllerServiceImpl
 * @USER: key
 * @DATE: 2020-12-3/18:04
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Service("personalUserControllerService")
@Slf4j
public class PersonalUserControllerServiceImpl implements PersonalUserControllerService {
    @Autowired
    private RedisTemplate redisTemplate;

    @Resource
    private MallCustomerDao mallCustomerDao;
    @Override
    public Result getUserInfo() {
        MallCustomerApiDto user = (MallCustomerApiDto) redisTemplate.opsForValue().get("USER_" + RedisMessageConstant.SENDTYPE_LOGIN_CUSTOMER);

        MallCustomer mallCustomer = mallCustomerDao.findById(user.getCustomerId());
        if (null == mallCustomer){
           return Result.of_error(ResultMsg.USER_NOT_EXIST);
        }
        return Result.of_success(mallCustomer);
    }

    /**
     * 修改用户密码
     * @param oldPassWard
     * @param newPassWard
     * @return
     */
    @Override
    public Result updateUserPassWard(String oldPassWard, String newPassWard) {
        MallCustomerApiDto user = (MallCustomerApiDto) redisTemplate.opsForValue().get("USER_" + RedisMessageConstant.SENDTYPE_LOGIN_CUSTOMER);

        MallCustomer mallCustomer = mallCustomerDao.findById(user.getCustomerId());
        if (null == mallCustomer){
            return Result.of_error(ResultMsg.USER_NOT_EXIST);
        }
        if (!oldPassWard.equals(mallCustomer.getPassword())){
          return Result.of_error("旧密码错误");
        }
        MallCustomer customer = new MallCustomer();
        customer.setCustomerId(mallCustomer.getCustomerId());
        customer.setPassword(newPassWard);
        customer.setUptPerson(mallCustomer.getCustomerName());
        customer.setUptTime(new Date());
        if (mallCustomerDao.updatePassword(customer) != 1){
            return Result.of_error(ResultMsg.UPDATE_FAIL);
        }
        return Result.of_success(ResultMsg.UPDATE_SUCCESS);
    }
}
